#/bin/sh

# Some settings

export UFASOFT_MINER_DIR=`readlink -f "$(dirname "$0")"`
export LD_LIBRARY_PATH=`readlink -f "$(dirname "$0")"`/lib:$LD_LIBRARY_PATH

# Edit this

export ENABLE_GPU=no
export REFRESH_TIME=5
export RPC_URL="http(s)://127.0.0.1:8332/"
export NUMBER_OF_CPU_CORES=2
export WORKER_LOGIN=Worker_0
export WORKER_PASSWORD=tux

# Starting application

echo $UFASOFT_MINER_DIR/bitcoin-miner -a $REFRESH_TIME -g $ENABLE_GPU -o $RPC_URL -t $NUMBER_OF_CPU_CORES -u $WORKER_LOGIN -p ********
LC_ALL=C LD_LIBRARY_PATH=$LD_LIBRARY_PATH $UFASOFT_MINER_DIR/bitcoin-miner -a $REFRESH_TIME -g $ENABLE_GPU -o $RPC_URL -t $NUMBER_OF_CPU_CORES -u $WORKER_LOGIN -p $WORKER_PASSWORD